Update groups
curl --request PUT \
--url https://api.yume.cloud/v1/crm/groups/{id}/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"comment": "<string>",
"category": 123,
"unique_id": "<string>",
"barcode": "<string>",
"image": "<string>",
"extra": "<unknown>",
"published": true,
"price": "<string>",
"discount": 123,
"tarif_form": [
{
"name": "<string>",
"price": "<string>",
"id": 123,
"weekdays": [
123
],
"start": "<string>",
"end": "<string>",
"order": 123,
"time_period": 123
}
],
"unit_price": "<string>",
"unit_count": "<string>",
"unit_sum": "<string>",
"points": [
-1
],
"lifetime": -1
}
'import requests
url = "https://api.yume.cloud/v1/crm/groups/{id}/"
payload = {
"name": "<string>",
"comment": "<string>",
"category": 123,
"unique_id": "<string>",
"barcode": "<string>",
"image": "<string>",
"extra": "<unknown>",
"published": True,
"price": "<string>",
"discount": 123,
"tarif_form": [
{
"name": "<string>",
"price": "<string>",
"id": 123,
"weekdays": [123],
"start": "<string>",
"end": "<string>",
"order": 123,
"time_period": 123
}
],
"unit_price": "<string>",
"unit_count": "<string>",
"unit_sum": "<string>",
"points": [-1],
"lifetime": -1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
comment: '<string>',
category: 123,
unique_id: '<string>',
barcode: '<string>',
image: '<string>',
extra: '<unknown>',
published: true,
price: '<string>',
discount: 123,
tarif_form: [
{
name: '<string>',
price: '<string>',
id: 123,
weekdays: [123],
start: '<string>',
end: '<string>',
order: 123,
time_period: 123
}
],
unit_price: '<string>',
unit_count: '<string>',
unit_sum: '<string>',
points: [-1],
lifetime: -1
})
};
fetch('https://api.yume.cloud/v1/crm/groups/{id}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"comment": "<string>",
"category": 123,
"unique_id": "<string>",
"barcode": "<string>",
"image": "<string>",
"extra": "<unknown>",
"published": true,
"type": 0,
"price": "<string>",
"discount": 123,
"tarif_form": [
{
"name": "<string>",
"price": "<string>",
"id": 123,
"weekdays": [
123
],
"start": "<string>",
"end": "<string>",
"order": 123,
"time_period": 123
}
],
"inventory_form": {
"count": 123,
"rental_point": 123,
"buy_price": "<string>",
"buy_date": "2023-12-25",
"sublease_user": 123,
"sublease_percent": "<string>",
"extra": "<unknown>"
},
"unit_type": "litre",
"unit_price": "<string>",
"unit_count": "<string>",
"unit_sum": "<string>",
"points": [
-1
],
"lifetime": -1
}groups
Update groups
PUT
/
v1
/
crm
/
groups
/
{id}
/
Update groups
Авторизации
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Заголовки
Компания, в контексте которой выполняется запрос — её id из GET /v1/tenant/. Пользователь должен состоять в этой компании: чужой id доступа к данным не даёт. Без заголовка компания определяется по домену запроса.
Параметры пути
Тело
application/jsonapplication/x-www-form-urlencodedmultipart/form-data
Maximum string length:
512Maximum string length:
512Maximum string length:
255Maximum string length:
2550- Аренда1- Продажа
Доступные опции:
0, 1 Требуемый диапазон:
0 <= x <= 32767Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Show child attributes
Show child attributes
Show child attributes
Show child attributes
litre- Литрkg- Килограммg- Граммml- Миллилитрpiece- Штукаm3- Кубический метр
Доступные опции:
litre, kg, g, ml, piece, m3 Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Требуемый диапазон:
-2147483648 <= x <= 2147483647Требуемый диапазон:
-2147483648 <= x <= 2147483647Ответ
200 - application/json
Maximum string length:
512Maximum string length:
512Maximum string length:
255Maximum string length:
2550- Аренда1- Продажа
Доступные опции:
0, 1 Требуемый диапазон:
0 <= x <= 32767Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Show child attributes
Show child attributes
Show child attributes
Show child attributes
litre- Литрkg- Килограммg- Граммml- Миллилитрpiece- Штукаm3- Кубический метр
Доступные опции:
litre, kg, g, ml, piece, m3 Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Pattern:
^-?\d{0,14}(?:\.\d{0,2})?$Требуемый диапазон:
-2147483648 <= x <= 2147483647Требуемый диапазон:
-2147483648 <= x <= 2147483647